---
title: 'Window: animationstart event'
slug: Web/API/Window/animationstart_event
tags:
  - API
  - Animation
  - CSS Animations
  - Reference
  - Web
  - Window
---
<div>{{APIRef}}</div>

<p>The <strong><code>animationstart</code></strong> event is fired when a <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animation</a> has started. If there is an {{cssxref("animation-delay")}}, this event will fire once the delay period has expired. A negative delay will cause the event to fire with an {{domxref("AnimationEvent/elapsedTime", "elapsedTime")}} equal to the absolute value of the delay (and, correspondingly, the animation will begin playing at that time index into the sequence).</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("AnimationEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onanimationstart","onanimationstart")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the <code><a href="/en-US/docs/Web/API/Element">Element</a></code> that had the animation applied. You can listen for this event on the <code>Window</code> interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/animationstart_event">HTMLElement: animationstart</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This listens for the <code>animationstart</code> event and logs a message when it is fired:</p>

<pre class="brush: js">window.addEventListener('animationstart', () =&gt; {
  console.log('Animation started');
});
</pre>

<p>The same, but using <code>onanimationstart</code>:</p>

<pre class="brush: js">window.onanimationstart = () =&gt; {
  console.log('Animation started');
};
</pre>

<p id="Live_example"><a href="/en-US/docs/Web/API/HTMLElement/animationstart_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Animations", "#eventdef-animationevent-animationstart")}}</td>
   <td>{{Spec2("CSS3 Animations")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.animationstart_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations">Using CSS Animations</a></li>
 <li>{{domxref("AnimationEvent")}}</li>
 <li>Related events: {{domxref("Window/animationend_event", "animationend")}}, {{domxref("Window/animationiteration_event", "animationiteration")}}, {{domxref("Window/animationcancel_event", "animationcancel")}}</li>
 <li>This event on {{domxref("Document")}} targets: {{domxref("Document/animationstart_event", "animationstart")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/animationstart_event", "animationstart")}}</li>
</ul>
